Bug 1060567 - Please enable libgloss with libnosys
Summary: Please enable libgloss with libnosys
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: arm-none-eabi-newlib
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-02 17:33 UTC by Alex G.
Modified: 2014-04-02 09:04 UTC (History)
2 users (show)

Fixed In Version: arm-none-eabi-newlib-2.1.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-02 09:04:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Alex G. 2014-02-02 17:33:26 UTC
Description of problem:

libgloss is not built, and libnosys is not available.

How reproducible:
Always

Steps to Reproduce:
1. $ ls /usr/arm-none-eabi/lib/ |grep nosys

Actual results:
libnosys.a is not found

Expected results:
libnosys.a is found

Additional info:
I'm being a little selfish here. I use libnosys in my projects, and not having it is a big show-stopper.

I tried to modify the .spec to build libgloss, but I see why it's not enabled. I was hoping to be able to give you a patch to the .spec, but that turned out to be harder than I thought.

Comment 1 Rob Gilton 2014-02-25 14:26:25 UTC
I've attached a fix for this in #1058722, which is highly related to this bug.

Comment 2 Fedora Update System 2014-02-25 21:05:31 UTC
arm-none-eabi-newlib-2.1.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/arm-none-eabi-newlib-2.1.0-3.fc20

Comment 3 Fedora Update System 2014-02-26 13:46:20 UTC
Package arm-none-eabi-newlib-2.1.0-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing arm-none-eabi-newlib-2.1.0-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3076/arm-none-eabi-newlib-2.1.0-3.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-04-02 09:04:58 UTC
arm-none-eabi-newlib-2.1.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.